io.undertow.security.api

## Interface AuthenticationMechanismContext

All Superinterfaces:
  SecurityContext

All Known Implementing Classes:
  SecurityContextImpl

    public interface AuthenticationMechanismContext
    extends SecurityContext

An Undertow `SecurityContext` that uses Undertow `AuthenticationMechanism` instances for authentication.

Author:
  Darran Lofthouse

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addAuthenticationMechanism(AuthenticationMechanism mechanism)` Adds an authentication mechanism to this context.

### Methods inherited from interface io.undertow.security.api.SecurityContext

`authenticate, authenticationComplete, authenticationFailed, getAuthenticatedAccount, getAuthenticationMechanisms, getIdentityManager, getMechanismName, isAuthenticated, isAuthenticationRequired, login, logout, registerNotificationReceiver, removeNotificationReceiver, setAuthenticationRequired`

### Method Detail

#### addAuthenticationMechanism

    void addAuthenticationMechanism(AuthenticationMechanism mechanism)

Adds an authentication mechanism to this context. When `SecurityContext.authenticate()` is called mechanisms will be iterated over in the order they are added, and given a chance to authenticate the user.

Specified by:
  `addAuthenticationMechanism` in interface `SecurityContext`
Parameters:
  `mechanism` - The mechanism to add